AlertSortField (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.AlertSortField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class AlertSortField

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.events.server.session.AlertSortField

All Implemented Interfaces:
  java.io.Serializable, SortField, JSON

    public abstract class AlertSortField

extends HypericEnum
implements SortField

See Also:
  Serialized Form

Field Summary
`static AlertSortField` | `ACKED_BY`
`static AlertSortField` | `ACTION_TYPE`
`static AlertSortField` | `DATE`
`static AlertSortField` | `DEFINITION`
`static AlertSortField` | `FIXED`
`static AlertSortField` | `PLATFORM`
`static AlertSortField` | `RESOURCE`
`static AlertSortField` | `SEVERITY`

Method Summary
`static AlertSortField` | `findByCode(int code)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hibernate.SortField
`getDescription, getValue, isSortable`

Field Detail

### DATE

    public static final AlertSortField DATE

### DEFINITION

    public static final AlertSortField DEFINITION

### RESOURCE

    public static final AlertSortField RESOURCE

### FIXED

    public static final AlertSortField FIXED

### ACKED_BY

    public static final AlertSortField ACKED_BY

### SEVERITY

    public static final AlertSortField SEVERITY

### PLATFORM

    public static final AlertSortField PLATFORM

### ACTION_TYPE

    public static final AlertSortField ACTION_TYPE

Method Detail

### findByCode

    public static AlertSortField findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.